Package twisted :: Package python :: Module observable

[show private | hide private]
[frames | no frames]

## Module twisted.python.observable

A group of classes which implement the observer/observable and publisher/subscriber pattern.

Classes
`Delegator` |
`Dynamic` |
`EventSource` |
`Hash` |
`Observable` |
`Publisher` |
`Subscriber` |
`WhenMethodSubscription` | This is a helper class to make the whole concept of when_ method subscriptions more friendly to pickling.

Function Summary
| `propertize(self, observer, key, prop)`
| `registerWhenMethods(Class)`

Variable Summary
`_DontTell` | `DontTell`
`_Gone` | `Gone`

Variable Details

### DontTell

  Type:
    `_DontTell`
  Value:

        observable.DontTell

### Gone

  Type:
    `_Gone`
  Value:

        observable.Gone

Generated by Epydoc 1.1 on Thu May 8 13:16:48 2003 | http://epydoc.sf.net